Ogre::WindowEventListener Class Reference
RenderSystem

`#include <OgreWindowEventUtilities.h>`

List of all members.

## Public Member Functions

virtual | ~WindowEventListener ()
virtual void | windowMoved (RenderWindow *rw)
virtual void | windowResized (RenderWindow *rw)
virtual bool | windowClosing (RenderWindow *rw)
virtual void | windowClosed (RenderWindow *rw)
virtual void | windowFocusChange (RenderWindow *rw)

## Detailed Description

Remarks:
  Callback class used to send out window events to client app

Definition at line 60 of file OgreWindowEventUtilities.h.

## Constructor & Destructor Documentation

virtual Ogre::WindowEventListener::~WindowEventListener | ( |  | ) | `[virtual]`

Definition at line 63 of file OgreWindowEventUtilities.h.

## Member Function Documentation

virtual void Ogre::WindowEventListener::windowClosed | ( | RenderWindow * | rw | ) | `[virtual]`

Remarks:
  Window has been closed (Only triggered if user pressed the [X] button)

Parameters:

  rw | The RenderWindow which created this events

Note:
  The window has not actually close yet when this event triggers. It's only closed after all windowClosed events are triggered. This allows apps to deinitialise properly if they have services that needs the window to exist when deinitialising.

Definition at line 103 of file OgreWindowEventUtilities.h.

virtual bool Ogre::WindowEventListener::windowClosing | ( | RenderWindow * | rw | ) | `[virtual]`

Remarks:
  Window is closing (Only triggered if user pressed the [X] button)

Parameters:

  rw | The RenderWindow which created this events

Returns:
  True will close the window(default).

Definition at line 90 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowFocusChange | ( | RenderWindow * | rw | ) | `[virtual]`

Remarks:
  Window has lost/gained focus

Parameters:

  rw | The RenderWindow which created this events

Definition at line 112 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowMoved | ( | RenderWindow * | rw | ) | `[virtual]`

Remarks:
  Window has moved position

Parameters:

  rw | The RenderWindow which created this events

Definition at line 71 of file OgreWindowEventUtilities.h.

virtual void Ogre::WindowEventListener::windowResized | ( | RenderWindow * | rw | ) | `[virtual]`

Remarks:
  Window has resized

Parameters:

  rw | The RenderWindow which created this events

Definition at line 80 of file OgreWindowEventUtilities.h.

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:42